Subject: List arrays
From: [email-masked] (Graham Kennedy)
To: [email-masked]
Date: Mon, 15 Aug 94 20:30 BST-1

A quicky question to you all,

Anyone know a way of freeing off memory used by a 'DIM LIST' a sort of UNDIM
I suppose. The reason is a program I am working on at the moment requires an
extremely large list array purely to display a large GTListview which the
user selects an Item from, then that's it.. list finished, but I've still
lost all that memory, till the program terminates. I realise I could write
my own fake listview but it seems a lot of effort for one selection.

While I am on it, once you get the value of the selected item from the list
is it possible to set the listpointer to that entry, so you can get at the
data at that position, I'm currently starting at the beginning and using
NextItem() to step through the number of entries specified by the listview,
which works but isn't ideal..

Thanks in advance.

Graham K.